/* Reset & base */
:root {
  --bg: #f6f7f9;
  --card: #ffffff;
  --muted: #6b7280;
  --primary: #0b66b2;
  --accent: #e8f1fb;
  --radius: 10px;
  --container: 1700px;
  --shadow: 0 6px 18px rgba(10, 20, 40, 0.06);
  --markdown-font: Twemoji Country Flags, system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  --bluefin-header-blue: #239fd9;
  --grid-item-padding: 15px;
}

@media (width <= 1600px) {
  :root {
    --grid-item-padding: 8px;
  }
}

* {
  box-sizing: border-box;
}

html {
  height: 100%;
  width: 100%;
  background-color: white;

  /*
  height: 100vw;
  width: 300vw;
  */
  /* See: https://stackoverflow.com/questions/77963633/container-width-does-not-maintain-100-on-smaller-screens */
  /* NOTE: IT TURNS OUT THE IFRAME IS RESPONSIBLE FOR SCALING ISSUES FOR SMALLER SCREENS (IT TAKES THE ENTIRE PARENT OUT OF THE SCREEN), 
      SO THIS MAY NOT BE NEEDED */
  /* ALWAYS BE CAUTIOUS WHEN USING PX FOR ANY ELEMENT IN THE DOM TREE WHEN TRYING TO IMPLEMENT RESPONSIVE DESIGN */
  /* ANOTHER EXAMPLE IS HEADER FOR RESPONSIBLE FOR MESSING UP THE BODY WIDTH ON SMALL SCREENS */
  /* contain: content; */
  /*
  overflow: auto;
  */
  /*
  position: fixed;
  overflow: auto;
  */
}

html::-webkit-scrollbar {
    width: 9px;
    height: 7px;
}

html::-webkit-scrollbar-thumb {
    background: #ababab;
    border-radius: 10px;
    border: 2px solid transparent;
    background-clip: padding-box;
}

html::-webkit-scrollbar-thumb:hover{
    border: 0;
}

html::-webkit-scrollbar-track {
    background: transparent;
}

body {
  height: 100%;
  width: 100%;
}


/*
@media (width <= 1024px) {
  html, body {
    width: 1200px;
  }
}
  */

  /*
p {
  margin: 0;
  padding: 0;
}
  */

p {
}

body {
  margin: 0;
  /* background: var(--bg); */
  color: #0f1724;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/* layout */
.container {
  max-width: var(--container);
  margin: 0 auto;
  padding: 10px
}

.header-inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 100%;

}

.hint {
  background-color: #f3f3f3;
  padding: 10px;
  border-radius: 10px;
  line-height: 1.5;
  color: #454748;
  font-weight: 400;
  font-family: var(--markdown-font);
}

/*
.footer-inner {
}

.site-header {
  background-color: black;
  border-bottom: 1px solid #eee
}
*/

.brand {
  display: flex;
  align-items: center;
  gap: 12px;
  padding: 14px 0;
  background-color: #f8f8f8;
  height: 100%;
}

.brand-logo {
  /* width: 55px;
  height: 55px; */
  color: white;
  border-radius: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 700;
}

.brand-name {
  font-weight: 700;
  letter-spacing: 2px;
  color: #0b3251;
}

/* main grid */
.main-grid {
  padding: 28px 20px 80px;
}

.page-title {
  font-size: 28px;
  margin: 10px 0 22px;
}

.grid {
  display: grid;
  grid-template-columns: 1fr;
  gap: 26px;
  align-items: start;
}

/* left card */
.checkout-card {
  background: var(--card);
  border-radius: var(--radius);
  box-shadow: var(--shadow);
  padding: 20px;
  border: 1px solid #eef2f6;
}

.dcx-section-header {
  display: grid;
  grid-auto-flow: column;
  align-items: center;

}

#clear-p2pe-value {
  padding: 4px;
  border-radius: 10px;
  background-color: #286090;
  width: 100%;
  cursor: pointer;
}

#clear-p2pe-value:hover {
  background-color: #337ab7 !important;
}

.poi-dcx-section-header {
  display: grid;
  grid-auto-flow: column;
  align-items: center;

}

#poi-clear-p2pe-value {
  padding: 4px;
  border-radius: 10px;
  background-color: #286090;
  width: 100%;
  cursor: pointer;
}

#poi-clear-p2pe-value:hover {
  background-color: #337ab7 !important;
}

.section-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  /*
  position: sticky;
  top: 0;
  background-color: white;
  border: 1px solid #dfdfdf;
  */
}

.section-header h2 {
  margin: 0;
  margin-bottom: 10px;
  font-size: 18px
}

.edit-link {
  color: var(--primary);
  font-size: 13px;
  text-decoration: none
}

/* form styles */
.form-stack {
  margin-top: 12px
}

.field-group {
  border: none;
  padding: 0;
  margin: 14px 0;
  font-family: Helvetica;
}

.field {
  display: block;
  margin-bottom: 35px
}

.label {
  display: block;
  font-size: 14px;
  color: var(--muted);
  margin-bottom: 6px
}

.text {
  display: block;
  width: 100%;
  padding: 12px 12px;
  border-radius: 8px;
  border: 1px solid #d7dde6;
  background: white;
  font-size: 14px;
}

.text:focus {
  outline: none;
  box-shadow: 0 0 0 4px rgba(11, 102, 178, 0.08);
  border-color: var(--primary)
}

.card-row {
  display: flex;
  gap: 8px;
  align-items: center
}

.card-icons {
  font-size: 20px;
  padding: 8px;
  background: var(--accent);
  border-radius: 8px
}

/* small layout groups */
.three-up {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 10px
}

.small .text {
  padding: 10px
}

/* checkbox */
.checkbox {
  display: flex;
  gap: 10px;
  align-items: center;
  font-size: 14px;
  color: var(--muted)
}

.checkbox input {
  width: 16px;
  height: 16px
}

/* notice and actions */
.notice {
  background: #f1f6fb;
  border-radius: 8px;
  padding: 12px;
  margin-bottom: 12px
}

.muted {
  color: var(--muted)
}

.actions {
  display: flex;
  gap: 12px;
  justify-content: flex-end
}

.btn {
  padding: 10px 14px;
  border-radius: 8px;
  border: 1px solid transparent;
  background: #fff;
  cursor: pointer
}

.btn.primary {
  background: var(--primary);
  color: white;
  border-color: var(--primary)
}

.btn.ghost {
  background: transparent;
  border-color: #dedede
}

.btn.outline {
  background: white;
  border: 1px solid #d0d6dd
}

.btn.fullwidth {
  width: 100%
}

/* summary panel */
.summary {
  position: sticky;
  top: 100px
}

.summary-inner {
  background: var(--card);
  border-radius: var(--radius);
  box-shadow: var(--shadow);
  padding: 16px;
  border: 1px solid #eef2f6;
}

.trip-title {
  font-size: 14px;
  font-weight: bold;
  margin-bottom: 8px;
  padding-bottom: 15px;
}

.route {
  font-weight: 700
}

.price-block {
  margin-top: 12px
}

.price-line {
  display: flex;
  justify-content: space-between;
  align-items: center
}

.price {
  font-weight: 700
}

.total {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 8px
}

.big {
  font-size: 22px;
  color: #0b3251
}


.ad-link {
  color: #dbefff;
  text-decoration: underline;
  font-size: 13px
}

/* footer */
.site-footer {
  margin-top: 34px;
  padding: 18px 0;
  background: transparent;
  text-align: center;
}

.footer-links a {
  margin-right: 16px;
  color: var(--muted);
  text-decoration: none;
  font-size: 13px
}

/* responsive */
@media (max-width: 1024px) {
  .grid {
    grid-template-columns: 1fr;
    gap: 18px
  }

  .summary {
    position: relative;
    top: auto
  }
}

.radio-container {
  display: flex;
  align-items: center;
  border: 2px solid #e1e1e1;
  border-radius: 5px;
  padding: 8px 12px;
  gap: 10px;
  cursor: pointer;
  transition: background 0.2s ease;
  /* height: 50px; */
  width: 100%;
  height: 100%;
}

.radio-container:hover {
  background: #f2f2f2;
}

.radio-container input[type="radio"] {
  /*
  accent-color: black;
  width: 18px;
  height: 18px;
  cursor: pointer;
  */
  display: none;
}


.radio-elements {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.radio-elements span {
  font-size: 14px;
  line-height: 1.2;
}

.dates {
  font-size: 13px;

}

.demo-tab {
  height: inherit;
  align-content: center;
  color: white;
  cursor: pointer;
  padding: 10px;
  border-radius: 1px;
}

.demo-tab:hover {
  color: black;
}

#agree_and_purchase:hover {
  background-color: #337ab7 !important;
}

#read_token:hover {
  background-color: #286090 !important;
}

#detokenize_token:hover {
  background-color: #286090 !important;
}

#scx_close_dialog:hover {
  background-color: #286090 !important;
}

#values_clear:hover {
  background-color: #286090 !important;
}

/* Disable the built-in modal dialog overlay entirely */
dialog::backdrop {
  background-color: transparent;
  opacity: 0;
}

#scx_dialog {
  /*
  position: fixed;
  top: 70%;
  left: 50%;
  transform: translate(-50%, -50%); 
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  background-color: white;
  width: 60%;
  height: 70%;
  overflow: auto;
  */
  position: fixed;
  top: 0;
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  background-color: white;
  width: 100%;
  height: 90%;
  overflow: auto;
  resize: both;
}


.overlay {
  position: fixed; /* Positioning and size */
  top: 0;
  left: 0;
  width: 100%; /* 100vw; */
  height: 100%; /* 100vh; */
  /*
  background-color: rgba(128,128,128,0.5);
  */
  background: transparent;
  display: none; /* making it hidden by default */
  z-index: 777;
}

#scx_modal_body {
  width: 100%;
  overflow-y: auto;
}


.header-tab-selected {
  background-color: #f8f8f8;
  color: grey;
  /* font-weight: bold; */
}



/* START: POI ORCA MAIN PAGE */

.poi-orca-radio-container {
  display: flex;
  align-items: center;
  border: 2px solid #e1e1e1;
  border-radius: 5px;
  padding: 8px 12px;
  gap: 10px;
  cursor: pointer;
  transition: background 0.2s ease;
  height: 50px;
}

.poi-orca-radio-container:hover {
  background: #f2f2f2;
}

.poi-orca-radio-container input[type="radio"] {
  /*
  accent-color: black;
  width: 18px;
  height: 18px;
  cursor: pointer;
  */
  display: none;
}

#poi-orca-payload-area {
  width: 100%;
  overflow: hidden;
  border: 2px solid #e1e1e1;
  border-radius: 10px;
  height: 15vh;
  resize: none;
  padding: 10px;
}


.poi-orca-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%; /* 100vw; */
  height: 100%; /* 100vh; */
  background: transparent;
  display: none; /* making it hidden by default */
  z-index: 777;
}

#poi-orca-dialog {
  /* position: fixed; */
  /* transform: translate(-50%); */

  /* top: 10%; */ /* Keeping the header bar visible */
  /*
  left: 50%;
  */


  /*
  top: 70%;
  left: 50%;
  top: 20%; 
  */
  /* transform: translate(-50%, -50%); */
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  background-color: white;
  overflow: auto;
  /*
  max-width: none;
  max-height: none;
  */
  position: fixed;
  top: 0;
  width: 100%;
  height: 90%;
  /* margin: 0 auto; */
  /* resize: both; */
}

.poi-orca-grid {
  display: grid;;
  grid-template-columns: 1fr 1fr;
  gap: 26px;
  align-items: start;
}

#poi-orca-start-workflow:hover {
  background-color: #337ab7 !important;
}

#poi-orca-close-dialog:hover {
  background-color: #286090 !important;
}


/* END: POI ORCA MAIN PAGE */


/* START: SCX ORCA MAIN PAGE */
.scx-orca-radio-container {
  display: flex;
  align-items: center;
  border: 2px solid #e1e1e1;
  border-radius: 5px;
  padding: 8px 12px;
  gap: 10px;
  cursor: pointer;
  transition: background 0.2s ease;
  /* height: 50px; */
  height: 100%;
  width: 100%;
}

.scx-orca-radio-container:hover {
  background: #f2f2f2;
}

.scx-orca-radio-container input[type="radio"] {
  /*
  accent-color: black;
  width: 18px;
  height: 18px;
  cursor: pointer;
  */
  display: none;
}

.scx-orca-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%; /* 100vw; */
  height: 100%; /* 100vh; */
  background: transparent;
  display: none; /* making it hidden by default */
  z-index: 777;
}

#scx-orca-dialog {
  position: fixed;
  /* transform: translate(-50%); */

  top: 0; /* Keeping the header bar visible */
  /*
  left: 50%;
  */

  /*
  top: 70%;
  left: 50%;
  top: 20%; 
  */
  /* transform: translate(-50%, -50%); */
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  background-color: white;
  width: 100%;
  height: 90%;
  overflow: auto;
  /*
  resize: both;
  max-width: none;
  max-height: none;
  margin: 0 auto;
  */
}
/*
#scx-orca-dialog::-webkit-scrollbar {
    width: 12px;
    height: 7px;
}

#scx-orca-dialog::-webkit-scrollbar-thumb {
    background: #ababab;
    border-radius: 10px;
    border: 2px solid transparent;
    background-clip: padding-box;
}

#scx-orca-dialog::-webkit-scrollbar-thumb:hover{
    border: 0;
}

#scx-orca-dialog::-webkit-scrollbar-track {
    background: transparent;
}
*/



#scx-orca-start-workflow:hover {
  background-color: #337ab7 !important;
}

#scx-orca-close-dialog:hover {
  background-color: #286090 !important;
}

/* END: SCX ORCA MAIN PAGE */


/* START: DECRYPTX MAIN PAGE */


/* For FRONT-END DEV PURPOSES ONLY: Show borders of all elements */
/*
* { border: 1px solid tomato !important; }
*/

.dcx-grid {
  display: grid;;
  grid-template-columns: 1fr;
  gap: 26px;
  align-items: start;
}


.dcx-radio-container {
  display: flex;
  align-items: center;
  border: 2px solid #e1e1e1;
  border-radius: 5px;
  padding: 8px 12px;
  gap: 10px;
  cursor: pointer;
  transition: background 0.2s ease;
  height: 100%;
}

.dcx-radio-container:hover {
  background: #f2f2f2;
}

.dcx-radio-container input[type="radio"] {
  /*
  accent-color: black;
  width: 18px;
  height: 18px;
  cursor: pointer;
  */
  display: none;
}

#dcx-payload-area {
  width: 100%;
  overflow: hidden;
  border: 2px solid #e1e1e1;
  border-radius: 10px;
  height: 15vh;
  resize: none;
  padding: 10px;
  overflow: auto;
}

.dcx-overlay {
  position: fixed; /* Positioning and size */
  top: 0;
  left: 0;
  width: 100%; /* 100vw; */
  height: 100%; /* 100vh; */
  background-color: transparent;
  display: none; /* making it hidden by default */
  z-index: 777;
}

#dcx-dialog {
  /* top: 100px; */
  top: 0;
  padding: 0;
  position: fixed;
  /*
  top: 70%;
  left: 50%;
  transform: translate(-50%, -50%); 
  */
  border: 1px solid #ccc;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  background-color: white;
  /*
  width: 60%;
  height: 70%;
  */
  height: 90%;
  width: 100%;
  overflow: hidden;
  resize: both;
}

#dcx-modal-body {
  padding: 20px;
  width: 100%;
  height: 100%; /* Inherit height from parent dialog, essentially */
  /* max-height: 70%; */ /* NOTE: Must be of height of dcx-dialog. See above. */
  overflow-y: auto;
}


/* END: DECRYPTX MAIN PAGE */


/* START: TOOLTIP DESCRIPTION TIP */
.tooltip {
  position: relative;
  display: inline-block;
  /* border-bottom: 1px dotted black; */
  cursor: pointer;
}

.tooltiptext {
  font-family: var(--markdown-font);
  font-weight: normal;
  /* visibility: visible; */
  visibility: hidden;
  background-color: white;
  color: #454748;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  top: -30px;
  z-index: 10000; /* Note: One after the Decryptx sticky header */
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  height: fit-content;
  /*
  width: max-content;
  width: 230px;
  */
  width: 230px;
  line-height: 1.5;
  /*
  padding-bottom: 20px;
  padding-left: 2px;
  padding-right: 2px;
  */
  padding: 10px;
  /* See: https://developer.mozilla.org/en-US/docs/Web/CSS/Reference/Properties/overflow-wrap */
  overflow-wrap: break-word;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
}

#dcx-p2pe-decrypt:hover {
  background-color: #337ab7 !important;
}

#dcx-close-dialog:hover {
  background-color: #286090 !important;
}


#p2pe-sidebar {
  background: var(--card);
  border-radius: var(--radius);
  box-shadow: var(--shadow);
  border: 1px solid #eef2f6;
  padding: 20px;
}

/* END: TOOLTIP DESCRIPTION TIP */


/* START: TOGGLE BUTTON */

.toggle {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.toggle input {
  display: none;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #333;
  transition: 0.4s;
  border-radius: 34px;
  height: 100%;
  width: 100%;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: #FFF;
  transition: 0.4s;
  border-radius: 50%;
}

input:checked + .slider {
  background-color: var(--bluefin-header-blue);
}

input:checked + .slider:before {
  transform: translateX(26px);
}

/* END: TOGGLE BUTTON */

/* START: DECRYPTX ANIMATION */
#dcx-anim-container {
    position: fixed;
    /* margin: auto; */

    /*
    /* NOTE: MUST BE width and height of the video (AND NOT THAT OF THE PARENT NODE) IN ORDER TO CENTER * /
    width: 100%;
    height: 100%;
    */

    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    padding: 20px;
    /*
    background-color: #fff;
    border: 1px solid #ccc;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
    */


    /*
    /* Center via flex approach * /
    display: flex;
    justify-content: center;
    align-items: center;
    */
}
/* END: DECRYPTX ANIMATION */


/* START: SCX ANIMATION */
#scx-anim-container {
    position: fixed;

    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    padding: 20px;
}
/* END: SCX ANIMATION */


/* RESPONSIVE VIDEO: SCALE DOWN */
@media (height <= 1600px) {
  video {
    height: 800px;
  }
}

@media (height <= 1024px) {
  video {
    height: 450px;
  }
}

@media (height <= 600px) {
  video {
    height: 400px;
  }

}

@media (height <= 500px) {
  video {
    height: 300px;
  }
}

@media (height <= 400px) {
  video {
    height: 200px;
  }
}


/* RESPONSIVE VIDEO: SCALE DOWN */


/* START: API PERFORMANCE PAGE */

.api-performance-grid {
  display: grid;;
  grid-template-columns: 1.2fr .8fr;
  /* grid-template-columns: 1fr; */
  gap: 26px;
  align-items: start;
}

#api-sidebar {
  font-family: var(--markdown-font);
  top: 100px; /* NEEDED FOR POSITION STICKY TO APPLY. Plus, 100px to go along with the header */
  position: sticky;
}

.performance-container {
    max-width: 100%; /* max-width: var(--container); */
    margin: 0 auto;
}

  	
.api-select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: #fff;
  border: 1px solid #ccc;
  background-color: transparent;
  padding: var(--grid-item-padding);
  width: 100%;
  cursor: pointer;
  font-weight: 600;
  text-align: center;
  font-size: var(--font-size);
  /* Add custom arrow with background image or pseudo-element */
}

/* Styles for the options (limited support) */
.api-select option {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: #f4f4f4;
  color: #333;
  padding: 200px;
  line-height: 200px;
}

	.api-send-request {
		padding: var(--grid-item-padding);
		background-color: #239fd9;
		color: white;
		border: none;
		cursor: pointer;
		width: 100%;
		font-weight: 600;
		border-radius: 7px;
	}

	.api-send-request:hover {
		color: black;
	}

	#api-grid-header {
    display: grid;
    /* grid-template-columns: repeat(auto-fit, minmax(200px, 1fr)); */
    grid-template-columns: repeat(5, 1fr);
    grid-column-gap: 10px;
    background-color: #239fd9;
    color: white;
    border: 1px solid #dfdfdf;
    justify-items: center;
		border-top-left-radius: 8px;
		border-top-right-radius: 8px;
	}
	.api-grid-body-item {
		display: grid;
    /* grid-template-columns: repeat(auto-fit, minmax(200px, 1fr)); */
    grid-template-columns: repeat(5, 1fr);
		grid-column-gap: 10px;
		justify-items: center;
		background-color: #efefef;
		border-bottom: 1px solid #dfdfdf;
	}

	.api-grid-body-item:hover {
  		background-color: #f5f5f5 !important;
	}

  .api-grid-body-item > div {
    padding: var(--grid-item-padding);

  }


.table-container {
  overflow-x: auto; /* Adds a scrollbar only when needed */
}

/* See: https://stackoverflow.com/a/25644926/14102601 */
.table-container > * thead {
    color: white;
}

/* Basic table styling for demonstration */
.table-container > table {
  width: 100%;
  border-collapse: collapse;
}

.table-container > * th, td {
  padding: var(--grid-item-padding);
  text-align: center;
  border: 0;
  border-bottom: 1px solid #ddd;
}

.table-container > * th {
  background-color: #239fd9;
}

.table-container > * tr {
  background-color: #efefef;

}

.table-container > * tr:hover {
  background-color: #f5f5f5 !important;
}

/* END: API PERFORMANCE PAGE */


#dcx-modal-header {
  display: flex;
  width: 100%;
  justify-content: space-between;
  padding: 30px;
  top: 0;
  position: sticky;
  background-color: white;
  z-index: 9999;
  border-bottom: 1px solid #dfdfdf;

}

#poi-orca-modal-header {
  display: flex;
  width: 100%;
  justify-content: flex-end;
  padding-bottom: 30px;

}

#scx-orca-modal-header {
  display: flex;
  width: 100%;
  justify-content: flex-end;
  padding-bottom: 30px;

}

.site-header {
  position: sticky;
  background-color: var(--bluefin-header-blue);
  top: 0;
  z-index: 999;
  border: 1px solid #dfdfdf;
}

#scx-icon-grid {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  justify-content: space-between;
  grid-column-gap: 10px;
}

#benchmark-component {
  width: 100%;
  /*
  height: 850px;
  */
  height: 80vh;
}

#json-dom-viewer-component {
  resize: both;
  background-color: #232323;
  border-radius: 10px;
  padding: 15px;
  font-size: 1rem;
  overflow-wrap: anywhere;
  height: 300px;
  overflow: auto;
}

#json-dom-viewer-component::-webkit-scrollbar {
    width: 7px;
    height: 7px;
}

#json-dom-viewer-component::-webkit-scrollbar-thumb {
    background: #ababab;
    border-radius: 10px;
    border: 2px solid transparent;
    background-clip: padding-box;
}

#json-dom-viewer-component::-webkit-scrollbar-thumb:hover{
    border: 0;
}

#json-dom-viewer-component::-webkit-scrollbar-track {
    background: transparent;
}


#scx_fields_selector {
  display: grid;
  /*
  grid-template-columns: repeat(13, auto);
  */
  grid-template-columns: repeat(auto-fit, minmax(200px, 300px));
  justify-content: flex-start;
  gap: 10px;
  padding-top: 30px;
}


.custom-checkbox-container {
  display: grid;
  /*
  grid-template-columns: repeat(2, auto);
  */
  grid-template-columns: repeat(2, 50px);
  align-items: anchor-center;
}

.custom-checkbox-container input {
  /* Hide the default appearance */
  -webkit-appearance: none;
  appearance: none;
  /* Basic styling for the custom box */
  width: 2.15em;
  height: 2.15em;
  border: 0.15em solid #616161;
  border-radius: 0.25em;
  display: grid;
  place-content: center;
  margin-right: 0.5em;
  cursor: pointer;
}

.custom-checkbox-container input:disabled {
  opacity: 0.3;
  cursor: default;
}

/* Style the indicator (e.g., the checkmark) */
.custom-checkbox-container input::before {
  content: "";
  width: 2em;
  height: 2em;
  transform: scale(0); /* Initially hidden */
  transition: 120ms transform ease-in-out;
  /*
  background-color: #409fd6;
  */
  background: #409fd6 url("data:image/gif;base64,R0lGODlhCwAKAIABAP////3cnSH5BAEKAAEALAAAAAALAAoAAAIUjH+AC73WHIsw0UCjglraO20PNhYAOw==") 3px 3px no-repeat;
  background-position: center;
}

/* Show the indicator when checked */
.custom-checkbox-container input:checked::before {
  transform: scale(1);
}

/* Add focus styles for keyboard navigation accessibility */
.custom-checkbox-container input:focus {
  outline: max(2px, 0.15em) solid currentColor;
  outline-offset: max(2px, 0.15em);
}

.scx_checkbox_label {
  font-size: 17px;

}

#screen_change_icon {
  font-size: 25px;
}

.screen_change {
	background-color: #286090;
	color: white;
	padding: 10px;
	border-radius: 5px;
  cursor: pointer;
}

.screen_change:hover {
	background-color: #337ab7 !important;
}

#cmp-sdk-header {
  display: flex;
  justify-content: space-between;
  top: 0;
  position: sticky;
  background-color: white;
  border: 1px solid #dfdfdf;
  padding: 10px;
  z-index: 1;
}



/* START: INTRO PAGE */
.intro-container {
  /* max-width: var(--container); 

  margin: 0 auto;
  padding: 10px
  */
}

.intro-grid {
  display: grid;
  grid-template-columns: 1fr;
  /*
  gap: 10px;
  align-items: start;
  */
}

.intro-radio-container {
  display: flex;
  align-items: center;
  border: 2px solid #e1e1e1;
  border-radius: 5px;
  padding: 8px 12px;
  gap: 10px;
  cursor: pointer;
  transition: background 0.2s ease;
  /* height: 50px; */
  width: 100%;
  height: 100%;
}

.intro-radio-container:hover {
  background: #f2f2f2;
}

.intro-radio-container input[type="radio"] {
  /*
  accent-color: black;
  width: 18px;
  height: 18px;
  cursor: pointer;
  */
  display: none;
}

#intro-icon-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-column-gap: 10px;
  grid-row-gap: 10px;
  justify-content: space-between;

  /*
  grid-template-rows: repeat(4, 160px);
  grid-auto-flow: row;
  grid-row-gap: 10px;
  */

  /*
  justify-content: space-between;
  */
}

#intro-video-div {
  width: 100%;

  padding: 20px;

  margin: 0 auto;
  /* START: Forces the container to maintain 16:9, regardless of width */
  /* NOTE: HEIGHT MUST BE EXCLUDED!
  height: 100%;
  */
  aspect-ratio: 16 / 9;
  /* END: Forces the container to maintain 16:9, regardless of width */
}

.intro-card {
  /*
  background: var(--card);
  border-radius: var(--radius);
  padding: 20px;
  box-shadow: var(--shadow);
  border: 1px solid #eef2f6;
  */
}

/* END: INTRO PAGE */



.dcx-radio-row {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  justify-content: space-between;
  width: 100%; 
}

.dcx-radio-devices {
  display: grid;
  /*
  grid-template-columns: repeat(4, 1fr);
  grid-template-columns: repeat(4, minmax(100px, 200px));
  */
  grid-template-columns: repeat(4, minmax(10vh, 15vh));
  /*
  justify-content: end;
  */
  justify-content: space-between;
}

/* responsive */
@media (max-width: 1440px) {

  /*
  #benchmark-component {
    height: 400px;
  }
  */

  .intro-grid {
    grid-template-columns: 1fr;
  }

  .toggle {
    transform: scale(0.7);
  }

  .demo-tab {
    padding: 5px;

  }


  .site-header {
    height: 70px;

  }

  /*
  html {
    font-size: 10px;
  }

  input {
    font-size: 10px;
  }

  span {
    font-size: 10px;
  }

  .radio-elements span {
    font-size: 10px;

  }

  textarea {
    font-size: 10px;
  }

  */

  h1 {
    /*
    font-size: 20px;
    */
  }

  h2 {
    /*
    font-size: 15px;
    */
  }

  .section-header h2 {
    margin: 0;
    margin-bottom: 10px;
    /*
    font-size: 15px;
    */
  }

  .page-title {
    font-size: 20px;
    margin: 10px 0 22px;
    /*
    position: sticky;
    top: 0;
    background-color: white;
    border: 1px solid #dfdfdf;
    */
  }



  * {
    /* font-size: 13px; */
    /* font-size: 1rem; */
  }



  .summary {
    position: relative;
    top: auto
  }

  #dcx-dialog-note {
    display: none;
  }

    #dcx-dialog {
      top: 0;
      padding: 0;
      position: fixed;
      border: 1px solid #ccc;
      border-radius: 10px;
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
      background-color: white;
      height: 90%;
      width: 100%;
      overflow: hidden;
      resize: both;
    }

    #dcx-modal-header {
      padding: 10px;
    }
    #poi-orca-modal-header {
      padding: 0;
    }

    #scx-orca-modal-header {
      padding: 0;
    }

    #poi-orca-dialog {
      top: 0;
      padding: 0;
      position: fixed;
      border: 1px solid #ccc;
      border-radius: 10px;
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
      background-color: white;
      height: 100%;
      width: 100%;
      overflow: hidden;
    }

    #scx-orca-dialog {
      top: 0;
      padding: 0;
      position: fixed;
      border: 1px solid #ccc;
      border-radius: 10px;
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
      background-color: white;
      height: 100%;
      width: 100%;
      overflow: hidden;
    }

    .api-performance-grid {
      grid-template-columns: 1fr;
      gap: 0;
    }

    @media (max-width: 1300px) {
      .brand {
        width: 150px;
      }
  
    }
  
    @media (max-width: 1024px) {
  
      .dcx-grid {
        grid-template-columns: 1fr;
        gap: 18px;
      }
  
      .poi-orca-grid {
        grid-template-columns: 1fr;
        gap: 18px;
      }
  
      .api-performance-grid {
        grid-template-columns: 1fr;
        gap: 0;
      }

      /*
      * {
        font-size: 10px;
      }
      */
    }

    @media (max-width: 1000px) {

    }

     @media (max-width: 800px) {
      } 

    @media (max-width: 610px) {
      .dcx-radio-devices {
        grid-template-columns: repeat(4, 1fr);
      }
    }

    @media (max-width: 450px) {
      #intro-icon-grid {
        grid-template-columns: repeat(2, 1fr);
      }

      #scx-icon-grid {
        grid-template-columns: repeat(2, 1fr);
        row-gap: 10px;
      }
      
    }


}